# SIPEndPoint::SIP_Work Class Reference

`#include <sipep.h>`

Collaboration diagram for SIPEndPoint::SIP_Work:

[legend]

## Public Member Functions

| SIP_Work (SIPEndPoint &ep, SIP_PDU *pdu, const PString &token)
virtual | ~SIP_Work ()
virtual void | Work ()

## Data Fields

SIPEndPoint & | m_endpoint
SIP_PDU * | m_pdu
PString | m_token

## Constructor & Destructor Documentation

SIPEndPoint::SIP_Work::SIP_Work | ( | SIPEndPoint & | ep,
|  | SIP_PDU * | pdu,
|  | const PString & | token |
| ) |  |  |

virtual SIPEndPoint::SIP_Work::~SIP_Work | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void SIPEndPoint::SIP_Work::Work | ( |  | ) | `[virtual]`

## Field Documentation

SIPEndPoint& SIPEndPoint::SIP_Work::m_endpoint

SIP_PDU* SIPEndPoint::SIP_Work::m_pdu

PString SIPEndPoint::SIP_Work::m_token

The documentation for this class was generated from the following file:

- sipep.h